<?
session_start();
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];

if(strlen($brcode)<=0)
{
  print "<script> alert('Invalid User'); document.location='ind.php' </script>";
  return;
}

include_once("../test.php");
include_once ("../opendb.php");
$brres=mysqli_query($db,"select * from branch where brcode='$brcode'");
$brrow=mysqli_fetch_array($brres);
$cd=$_REQUEST['cd'];
$df=$_REQUEST['df'];
$dt=$_REQUEST['dt'];

?>
<style>
// td{font-family:'arial narrow';font-size:14;color:black;}
// th{font-family:'arial narrow';font-size:14;color:white;background-color:#5b5858}
// body{background-color:green}
</style>
<link rel="stylesheet" href="style.css" type="text/css" />
<?

?>

<table width=80% BORDER=0>
<TR><TD COLSPAN=2 ALIGN=CENTER><b> AMPL EICHER </b><BR>
	 <?print $brrow['brname'].",".$brrow['brcity'].",<br><u> PH - ".$brrow['brphone']?></u>
-->TIN: <?print $brrow['tin']?>, CST: <?print $brrow['cstno']?>&nbsp;
</td></tr>
</table>
<?


//$df=$y.'-'.$m.'-'.$d;
//$dt=$y1.'-'.$m1.'-'.$d1;
$cusres=mysqli_query($db,"select * from customer where acname='$cd'");
//$sql="select * from customer where cname='$cd'";
//echo $sql;
$cd=str_replace('~','&',$cd);
$cusrow=mysqli_fetch_array($cusres);
print " <table><tr><td><br>To<blockquote><b>$cd</b><br>$cusrow[addr1], <br>$cusrow[dist1]</blockquote></tr></td><br>";
print "<tr><td>Dear Sir, <br>You account details from ".implode('-', array_reverse(explode('-', $df))).' to '.implode('-', array_reverse(explode('-', $dt)))." are listed below.</tr></td> <br>";
print "<tr><td><center><b><br> <u>Ledger Extract</u> <br></center></b></tr></td></tr></table>";
?>

<table  cellspacing=1 cellpadding=2 width=100% border=1>
<th width=80>Date <th width=711>Vouch/Rec. No. <th align=centre>Debit <th align=centre>Credit <th align=centre width=80>Balance

<?
//$cd=str_replace('~','&',$cd);
$tr=0;$tp=0;
//print "select sum(dramt)-sum(cramt) from journal2 where brcode='$brcode' and date<'$df' and (partic='$cd')";
$ssq="select sum(dramt)-sum(cramt) from journal2 where brcode='$brcode' and date<'$df' and (partic='$cd')";
//echo $ssq;
$res2=mysqli_query($db,$ssq)or die('jour err:'.mysqli_error($db));
$r2=mysqli_fetch_row($res2);

$re=mysqli_query($db,"select * from ledger where led='$cd' and brcode='$brcode'");
$opb=mysqli_fetch_array($re);

if($opb['drcr']=='Cr' and $r2[0]<0)
{
$openbal=$opb['op']+abs($r2[0]);
print "<tr><td></td><td> Opening Balance</td><td></td><td align=right>".putComa($openbal)."</td><td colspan=2></td>";
$tp+=$openbal;
}
else if($opb['drcr']=='Cr' and $r2[0]>=0)
{
$openbal=$opb['op']-$r2[0];
if($openbal>0)
{
print "<tr><td></td><td> Opening Balance</td><td></td><td align=right>".putComa($openbal)."</td><td colspan=2></td>";
$tp+=$openbal;
}
else
{
print "<tr><td></td><td> Opening Balance</td><td align=right>".putComa(abs($openbal))."</td><td colspan=2></td>";
$tr+=$openbal;
}

}


if($opb['drcr']=='Dr' and $r2[0]>=0)
{
if($opb['op']>=0)
$openbal= $opb['op'] +abs($r2[0]);
else
$openbal= $opb['op']+$r2[0];

if($openbal>0)
{
print "<tr><td></td><td> Opening Balance</td><td align=right>".putComa($openbal)."</td><td colspan=2></td>";
$tr+=$openbal;
}
else
{
print "<tr><td></td><td> Opening Balance</td><td>&nbsp;</td><td align=right>".putComa(abs($openbal))."</td><td colspan=2></td>";
$tp+=abs($openbal);
}
}
if($opb['drcr']=='Dr' and $r2[0]<0)
{
if($opb['op']>=0)
$openbal= $opb['op']+ $r2[0];
else
$openbal= $opb['op']+$r2[0];

//print $opb['op'].'-'.$r2[0];
 if($openbal>=0)
    {
    print "<tr><td></td><td> Opening Balance</td><td align=right>".putComa($openbal)."</td><td colspan=2></td>";
     $tr+=$openbal;
     }
 else
    {
    print "<tr><td></td><td> Opening Balance</td><td></td><td align=right>".putComa(abs($openbal))."</td><td colspan=2></td>";
     $tp+=$openbal;
     }

}
$sql="select * from journal2 where brcode='$brcode' and partic='$cd' and date>='$df' and date<='$dt'order by date ";

$result=mysqli_query($db,$sql) or die (mysqli_error($db));
$mbal = $openbal;

while($row=mysqli_fetch_array($result))
{
   if($row['type']=='Cr') //$row[cr]==$cd)
    {
        $mbal=$mbal-$row['cramt'];
 print "\n<tr bgcolor='#fffcd6' onMouseOver=bgColor='#f7dbd4'; onMouseOut=bgColor='#fffcd6'><td>".implode('-', array_reverse(explode('-', $row['date'])))."</td><td> &nbsp;&nbsp; <a href='multientry/viewtrans.php?code=$row[jvno]' title='Ref:$row[no]'> To $row[narr]-($row[j_type]) $row[against]:$row[no]</a></td><td align=right></td><td align=right>".putComa($row['cramt'])."</td> <td>".putcoma($mbal)."</td>";
//<td align=center><input type=button value='Del' onClick=document.location='deldat.php?code=$row[0]'></td>
print "</tr>";
$totcramt+=$row['cramt'];
  }
 else //if($row[dr]==$cd)
  {
        $mbal=$mbal+$row['dramt'];
        print "\n<tr bgcolor='#fffcd6' onMouseOver=bgColor='#f7dbd4'; onMouseOut=bgColor='#fffcd6'><td>".implode('-', array_reverse(explode('-', $row['date'])))."</td><td> <a href='multientry/viewtrans.php?code=$row[jvno]' title='Ref:$row[against] $row[no]'>By $row[narr]-($row[j_type]) $row[against]:$row[no]</a></td><td align=right>".putComa($row['dramt'])."</td><td align=right></td> <td>".putcoma($mbal)."</td>";
//<td align=center><input type=button value='Del' onClick=document.location='deldat.php?code=$row[0]'></td>
print "</tr>";

$totdramt+=$row['dramt'];
 }

}
print "<tr style={background-color:silver}><td colspan=2 align=center><font color=black><B>Total</td>"; 

 $totdramt+=abs($tr);

 $totcramt+=abs($tp);

print "<td align=right><font color=black>".putComa($totdramt)."</td>";
print "<td align=right><font color=black>".putComa(abs($totcramt))."</td><td colspan=2></td></tr>";

/*if($totdramt>=0)
$bal=($totdramt-$totcramt);
else
{$bal=($totdramt+$totcramt); $bal*=-1;}
*/
if(abs($totdramt)>abs($totcramt))
{
$bal=(abs($totdramt)-abs($totcramt));
print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black><b> Debit </td><td colspan=2></td></tr>";
}
else if(abs($totdramt)<abs($totcramt))
{$bal=(abs($totcramt)-abs($totdramt)); 

print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td></td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black> <b>Credit </td> </tr>";
}


//*******************************************************
// if(strtoupper($opb['drcr'])=="DR" && $opb['op']<0)
// 	$bal*=-1;
  $bal=number_format($bal,2,'','');
//********************************************************
if($bal>0)
{
//print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black><b> Debit </td><td colspan=2></td></tr>";
}
else
//print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td></td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black> <b>Credit </td> </tr>";


//**************************************************************8888888888888888888888888
?>
</table>
</center><br>
<?
//print "Kindly do needful to settle the above amount at the earliest.<br>";
?>
<br>
Thanking you<br><br>
 
Yours Faithfully<br><br><br><br>
Authorised Signatory